SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004170SOGosogo-toolpublic2017-05-13 21:192017-07-04 13:19
Reporterzhb 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.2.9 
Target VersionFixed in Version3.2.10 
Summary0004170: Don't print debug info while running sogo-tool without '--verbose' option
DescriptionThe recent SOGo nightly builds will print message like below while running sogo-tool commands. For example:

/usr/sbin/sogo-tool expire-sessions 30
/usr/sbin/sogo-ealarms-notify

<0x0x23f7300[SOGoProductLoader]> SOGo products loaded from '/usr/lib/GNUstep/SOGo':
<0x0x23f7300[SOGoProductLoader]> MainUI.SOGo, CommonUI.SOGo, Appointments.SOGo, Mailer.SOGo, PreferencesUI.SOGo, SchedulerUI.SOGo, MailerUI.SOGo, MailPartViewers.SOGo, ContactsUI.SOGo, ActiveSync.SOGo, Contacts.SOGo, AdministrationUI.SOGo

While running sogo-tool with cron job, it will generate a email notification sent to system account, this is annoying. And redirect the output with '>/dev/null 2>&1' will miss some other output info or error message, this is not ideal for keeping your eyes of system health. So please don't print this message without '--verbose' option.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0004157resolvedfrancis Cronjob /usr/sbin/sogo-ealarms-notify spams log/inbox 

-  Notes
(0011812)
andre_x (reporter)
2017-05-19 05:10

I receive one message a minute, it's really annoying.
Thanks!
(0011815)
zhb (reporter)
2017-05-20 02:07

Please also hide the cache info while running sogo-tool command. For example:

# sogo-tool backup /tmp/ ALL
<0x0x1c35d58[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
<0x0x1c35d58[SOGoCache]> Using host(s) '127.0.0.1' as server(s)
(0011816)
veaseym (reporter)
2017-05-21 08:25

I also ran into this bug on 3.2.9 on Ubuntu

Downgrading back to 3.2.8.20170328-1 with apt-get and pinning the release seems to mitigate the problem for now but it does mean I can't migrate upwards.

It would be most helpful to fix this.
(0011828)
zhb (reporter)
2017-05-23 20:01

On Debian 8, the latest nightly build 3.2.9.20170523-1 still have this issue:

# dpkg -l | grep -i sogo
ii sogo:amd64 3.2.9.20170523-1 amd64 a modern and scalable groupware
ii sogo-activesync 3.2.9.20170523-1 amd64 a modern and scalable groupware - ActiveSync module

# /usr/sbin/sogo-ealarms-notify
<0x0x24eded0[SOGoProductLoader]> SOGo products loaded from '/usr/lib/GNUstep/SOGo':
<0x0x24eded0[SOGoProductLoader]> AdministrationUI.SOGo, Mailer.SOGo, Appointments.SOGo, ContactsUI.SOGo, MailerUI.SOGo, PreferencesUI.SOGo, ActiveSync.SOGo, Contacts.SOGo, MailPartViewers.SOGo, SchedulerUI.SOGo, CommonUI.SOGo, MainUI.SOGo
(0011914)
andre_x (reporter)
2017-06-10 08:06
edited on: 2017-06-10 09:30

I've just downloaded and installed iRedMail on a new fresh machine and I still have the problem.
How can I resolve it?
Thanks!!!

(0012010)
zhb (reporter)
2017-06-27 23:59

Dear developers, please help fix this annoying issue.
(0012023)
zhb (reporter)
2017-07-02 22:30

Dear developers, please help fix this annoying issue.
(0012024)
andre_x (reporter)
2017-07-03 03:07

I see that francis marked this issue as fixed, but I can't see the resolution.
Can anyone point me to it?
Thanks!

- Related Changesets
sogo: master 8dc2cfc2
Timestamp: 2017-05-19 07:44:49
Author: francis
Details ] Diff ]
Silent sogo-tool expire-sessions cronjob

Fixes 0004170
mod - Scripts/sogo.cron Diff ] File ]
sogo: master 579ab68e
Timestamp: 2017-07-04 13:15:29
Author: ludovic
Details ] Diff ]
(fix) silence sogo-ealarms-notify verbose output (fixes 0004170)
mod - Tools/SOGoEAlarmsNotifier.m Diff ] File ]
sogo: v2 67fef950
Timestamp: 2017-07-04 13:15:29
Author: ludovic
Details ] Diff ]
(fix) silence sogo-ealarms-notify verbose output (fixes 0004170)

Conflicts:
Tools/SOGoEAlarmsNotifier.m
mod - Tools/SOGoEAlarmsNotifier.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-13 21:19 zhb New Issue
2017-05-19 05:10 andre_x Note Added: 0011812
2017-05-19 06:46 francis Relationship added related to 0004157
2017-05-19 07:46 francis Changeset attached => sogo master 8dc2cfc2
2017-05-19 07:46 francis Assigned To => francis
2017-05-19 07:46 francis Resolution open => fixed
2017-05-20 02:07 zhb Note Added: 0011815
2017-05-21 08:25 veaseym Note Added: 0011816
2017-05-23 20:01 zhb Note Added: 0011828
2017-06-10 08:06 andre_x Note Added: 0011914
2017-06-10 09:30 andre_x Note Edited: 0011914 View Revisions
2017-06-27 23:59 zhb Note Added: 0012010
2017-07-02 22:30 zhb Note Added: 0012023
2017-07-03 03:07 andre_x Note Added: 0012024
2017-07-04 13:16 ludovic Changeset attached => sogo master 579ab68e
2017-07-04 13:16 ludovic Assigned To francis => ludovic
2017-07-04 13:19 ludovic Changeset attached => sogo v2 67fef950
2017-07-04 13:19 ludovic Status new => resolved
2017-07-04 13:19 ludovic Fixed in Version => 3.2.10


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker